/*
 *  Copyright 2007-2008, Plutext Pty Ltd.
 *   
 *  This file is part of docx4j.

    docx4j is licensed under the Apache License, Version 2.0 (the "License"); 
    you may not use this file except in compliance with the License. 

    You may obtain a copy of the License at 

        http://www.apache.org/licenses/LICENSE-2.0 

    Unless required by applicable law or agreed to in writing, software 
    distributed under the License is distributed on an "AS IS" BASIS, 
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
    See the License for the specific language governing permissions and 
    limitations under the License.

 */


package org.docx4j.dml.chartDrawing;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.docx4j.dml.chartDrawing package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.docx4j.dml.chartDrawing
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link CTShapeNonVisual }
     * 
     */
    public CTShapeNonVisual createCTShapeNonVisual() {
        return new CTShapeNonVisual();
    }

    /**
     * Create an instance of {@link CTConnector }
     * 
     */
    public CTConnector createCTConnector() {
        return new CTConnector();
    }

    /**
     * Create an instance of {@link CTPictureNonVisual }
     * 
     */
    public CTPictureNonVisual createCTPictureNonVisual() {
        return new CTPictureNonVisual();
    }

    /**
     * Create an instance of {@link CTGroupShape }
     * 
     */
    public CTGroupShape createCTGroupShape() {
        return new CTGroupShape();
    }

    /**
     * Create an instance of {@link CTPicture }
     * 
     */
    public CTPicture createCTPicture() {
        return new CTPicture();
    }

    /**
     * Create an instance of {@link CTGroupShapeNonVisual }
     * 
     */
    public CTGroupShapeNonVisual createCTGroupShapeNonVisual() {
        return new CTGroupShapeNonVisual();
    }

    /**
     * Create an instance of {@link CTShape }
     * 
     */
    public CTShape createCTShape() {
        return new CTShape();
    }

    /**
     * Create an instance of {@link CTDrawing }
     * 
     */
    public CTDrawing createCTDrawing() {
        return new CTDrawing();
    }

    /**
     * Create an instance of {@link CTRelSizeAnchor }
     * 
     */
    public CTRelSizeAnchor createCTRelSizeAnchor() {
        return new CTRelSizeAnchor();
    }

    /**
     * Create an instance of {@link CTMarker }
     * 
     */
    public CTMarker createCTMarker() {
        return new CTMarker();
    }

    /**
     * Create an instance of {@link CTGraphicFrameNonVisual }
     * 
     */
    public CTGraphicFrameNonVisual createCTGraphicFrameNonVisual() {
        return new CTGraphicFrameNonVisual();
    }

    /**
     * Create an instance of {@link CTConnectorNonVisual }
     * 
     */
    public CTConnectorNonVisual createCTConnectorNonVisual() {
        return new CTConnectorNonVisual();
    }

    /**
     * Create an instance of {@link CTAbsSizeAnchor }
     * 
     */
    public CTAbsSizeAnchor createCTAbsSizeAnchor() {
        return new CTAbsSizeAnchor();
    }

    /**
     * Create an instance of {@link CTGraphicFrame }
     * 
     */
    public CTGraphicFrame createCTGraphicFrame() {
        return new CTGraphicFrame();
    }

}
