

/*
 *
 *    OPEN-XCHANGE legal information
 *
 *    All intellectual property rights in the Software are protected by
 *    international copyright laws.
 *
 *
 *    In some countries OX, OX Open-Xchange, open xchange and OXtender
 *    as well as the corresponding Logos OX Open-Xchange and OX are registered
 *    trademarks.
 *    The use of the Logos is not covered by the GNU General Public License.
 *    Instead, you are allowed to use these Logos according to the terms and
 *    conditions of the Creative Commons License, Version 2.5, Attribution,
 *    Non-commercial, ShareAlike, and the interpretation of the term
 *    Non-commercial applicable to the aforementioned license is published
 *    on the web site http://www.open-xchange.com/EN/legal/index.html.
 *
 *    Please make sure that third-party modules and libraries are used
 *    according to their respective licenses.
 *
 *    Any modifications to this package must retain all copyright notices
 *    of the original copyright holder(s) for the original code used.
 *
 *    After any such modifications, the original and derivative code shall remain
 *    under the copyright of the copyright holder(s) and/or original author(s)per
 *    the Attribution and Assignment Agreement that can be located at
 *    http://www.open-xchange.com/EN/developer/. The contributing author shall be
 *    given Attribution for the derivative code and a license granting use.
 *
 *     Copyright (C) 2016-2020 OX Software GmbH
 *     Mail: info@open-xchange.com
 *
 *
 *     This program is free software; you can redistribute it and/or modify it
 *     under the terms of the GNU General Public License, Version 2 as published
 *     by the Free Software Foundation.
 *
 *     This program is distributed in the hope that it will be useful, but
 *     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *     for more details.
 *
 *     You should have received a copy of the GNU General Public License along
 *     with this program; if not, write to the Free Software Foundation, Inc., 59
 *     Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package org.docx4j.dml.chartex2014;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CT_Clear complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CT_Clear">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="geoLocationQueryResults" type="{http://schemas.microsoft.com/office/drawing/2014/chartex}CT_GeoLocationQueryResults" minOccurs="0"/>
 *         &lt;element name="geoDataEntityQueryResults" type="{http://schemas.microsoft.com/office/drawing/2014/chartex}CT_GeoDataEntityQueryResults" minOccurs="0"/>
 *         &lt;element name="geoDataPointToEntityQueryResults" type="{http://schemas.microsoft.com/office/drawing/2014/chartex}CT_GeoDataPointToEntityQueryResults" minOccurs="0"/>
 *         &lt;element name="geoChildEntitiesQueryResults" type="{http://schemas.microsoft.com/office/drawing/2014/chartex}CT_GeoChildEntitiesQueryResults" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CT_Clear", propOrder = {
    "geoLocationQueryResults",
    "geoDataEntityQueryResults",
    "geoDataPointToEntityQueryResults",
    "geoChildEntitiesQueryResults"
})
public class CTClear {

    protected CTGeoLocationQueryResults geoLocationQueryResults;
    protected CTGeoDataEntityQueryResults geoDataEntityQueryResults;
    protected CTGeoDataPointToEntityQueryResults geoDataPointToEntityQueryResults;
    protected CTGeoChildEntitiesQueryResults geoChildEntitiesQueryResults;

    /**
     * Gets the value of the geoLocationQueryResults property.
     * 
     * @return
     *     possible object is
     *     {@link CTGeoLocationQueryResults }
     *     
     */
    public CTGeoLocationQueryResults getGeoLocationQueryResults() {
        return geoLocationQueryResults;
    }

    /**
     * Sets the value of the geoLocationQueryResults property.
     * 
     * @param value
     *     allowed object is
     *     {@link CTGeoLocationQueryResults }
     *     
     */
    public void setGeoLocationQueryResults(CTGeoLocationQueryResults value) {
        this.geoLocationQueryResults = value;
    }

    /**
     * Gets the value of the geoDataEntityQueryResults property.
     * 
     * @return
     *     possible object is
     *     {@link CTGeoDataEntityQueryResults }
     *     
     */
    public CTGeoDataEntityQueryResults getGeoDataEntityQueryResults() {
        return geoDataEntityQueryResults;
    }

    /**
     * Sets the value of the geoDataEntityQueryResults property.
     * 
     * @param value
     *     allowed object is
     *     {@link CTGeoDataEntityQueryResults }
     *     
     */
    public void setGeoDataEntityQueryResults(CTGeoDataEntityQueryResults value) {
        this.geoDataEntityQueryResults = value;
    }

    /**
     * Gets the value of the geoDataPointToEntityQueryResults property.
     * 
     * @return
     *     possible object is
     *     {@link CTGeoDataPointToEntityQueryResults }
     *     
     */
    public CTGeoDataPointToEntityQueryResults getGeoDataPointToEntityQueryResults() {
        return geoDataPointToEntityQueryResults;
    }

    /**
     * Sets the value of the geoDataPointToEntityQueryResults property.
     * 
     * @param value
     *     allowed object is
     *     {@link CTGeoDataPointToEntityQueryResults }
     *     
     */
    public void setGeoDataPointToEntityQueryResults(CTGeoDataPointToEntityQueryResults value) {
        this.geoDataPointToEntityQueryResults = value;
    }

    /**
     * Gets the value of the geoChildEntitiesQueryResults property.
     * 
     * @return
     *     possible object is
     *     {@link CTGeoChildEntitiesQueryResults }
     *     
     */
    public CTGeoChildEntitiesQueryResults getGeoChildEntitiesQueryResults() {
        return geoChildEntitiesQueryResults;
    }

    /**
     * Sets the value of the geoChildEntitiesQueryResults property.
     * 
     * @param value
     *     allowed object is
     *     {@link CTGeoChildEntitiesQueryResults }
     *     
     */
    public void setGeoChildEntitiesQueryResults(CTGeoChildEntitiesQueryResults value) {
        this.geoChildEntitiesQueryResults = value;
    }

}
