

/*
 *
 *    OPEN-XCHANGE legal information
 *
 *    All intellectual property rights in the Software are protected by
 *    international copyright laws.
 *
 *
 *    In some countries OX, OX Open-Xchange, open xchange and OXtender
 *    as well as the corresponding Logos OX Open-Xchange and OX are registered
 *    trademarks.
 *    The use of the Logos is not covered by the GNU General Public License.
 *    Instead, you are allowed to use these Logos according to the terms and
 *    conditions of the Creative Commons License, Version 2.5, Attribution,
 *    Non-commercial, ShareAlike, and the interpretation of the term
 *    Non-commercial applicable to the aforementioned license is published
 *    on the web site http://www.open-xchange.com/EN/legal/index.html.
 *
 *    Please make sure that third-party modules and libraries are used
 *    according to their respective licenses.
 *
 *    Any modifications to this package must retain all copyright notices
 *    of the original copyright holder(s) for the original code used.
 *
 *    After any such modifications, the original and derivative code shall remain
 *    under the copyright of the copyright holder(s) and/or original author(s)per
 *    the Attribution and Assignment Agreement that can be located at
 *    http://www.open-xchange.com/EN/developer/. The contributing author shall be
 *    given Attribution for the derivative code and a license granting use.
 *
 *     Copyright (C) 2016-2020 OX Software GmbH
 *     Mail: info@open-xchange.com
 *
 *
 *     This program is free software; you can redistribute it and/or modify it
 *     under the terms of the GNU General Public License, Version 2 as published
 *     by the Free Software Foundation.
 *
 *     This program is distributed in the hope that it will be useful, but
 *     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *     for more details.
 *
 *     You should have received a copy of the GNU General Public License along
 *     with this program; if not, write to the Free Software Foundation, Inc., 59
 *     Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package org.docx4j.dml.chartex2014;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for CT_Geography complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CT_Geography">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="geoCache" type="{http://schemas.microsoft.com/office/drawing/2014/chartex}CT_GeoCache" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="projectionType" type="{http://schemas.microsoft.com/office/drawing/2014/chartex}ST_GeoProjectionType" />
 *       &lt;attribute name="viewedRegionType" type="{http://schemas.microsoft.com/office/drawing/2014/chartex}ST_GeoMappingLevel" />
 *       &lt;attribute name="cultureLanguage" use="required" type="{http://www.w3.org/2001/XMLSchema}language" />
 *       &lt;attribute name="cultureRegion" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="attribution" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CT_Geography", propOrder = {
    "geoCache"
})
public class CTGeography {

    protected CTGeoCache geoCache;
    @XmlAttribute(name = "projectionType")
    protected STGeoProjectionType projectionType;
    @XmlAttribute(name = "viewedRegionType")
    protected STGeoMappingLevel viewedRegionType;
    @XmlAttribute(name = "cultureLanguage", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "language")
    protected String cultureLanguage;
    @XmlAttribute(name = "cultureRegion", required = true)
    protected String cultureRegion;
    @XmlAttribute(name = "attribution", required = true)
    protected String attribution;

    /**
     * Gets the value of the geoCache property.
     * 
     * @return
     *     possible object is
     *     {@link CTGeoCache }
     *     
     */
    public CTGeoCache getGeoCache() {
        return geoCache;
    }

    /**
     * Sets the value of the geoCache property.
     * 
     * @param value
     *     allowed object is
     *     {@link CTGeoCache }
     *     
     */
    public void setGeoCache(CTGeoCache value) {
        this.geoCache = value;
    }

    /**
     * Gets the value of the projectionType property.
     * 
     * @return
     *     possible object is
     *     {@link STGeoProjectionType }
     *     
     */
    public STGeoProjectionType getProjectionType() {
        return projectionType;
    }

    /**
     * Sets the value of the projectionType property.
     * 
     * @param value
     *     allowed object is
     *     {@link STGeoProjectionType }
     *     
     */
    public void setProjectionType(STGeoProjectionType value) {
        this.projectionType = value;
    }

    /**
     * Gets the value of the viewedRegionType property.
     * 
     * @return
     *     possible object is
     *     {@link STGeoMappingLevel }
     *     
     */
    public STGeoMappingLevel getViewedRegionType() {
        return viewedRegionType;
    }

    /**
     * Sets the value of the viewedRegionType property.
     * 
     * @param value
     *     allowed object is
     *     {@link STGeoMappingLevel }
     *     
     */
    public void setViewedRegionType(STGeoMappingLevel value) {
        this.viewedRegionType = value;
    }

    /**
     * Gets the value of the cultureLanguage property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCultureLanguage() {
        return cultureLanguage;
    }

    /**
     * Sets the value of the cultureLanguage property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCultureLanguage(String value) {
        this.cultureLanguage = value;
    }

    /**
     * Gets the value of the cultureRegion property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCultureRegion() {
        return cultureRegion;
    }

    /**
     * Sets the value of the cultureRegion property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCultureRegion(String value) {
        this.cultureRegion = value;
    }

    /**
     * Gets the value of the attribution property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAttribution() {
        return attribution;
    }

    /**
     * Sets the value of the attribution property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAttribution(String value) {
        this.attribution = value;
    }

}
